<?php

namespace src\Migrations;

class _025_adicionarStatusPagamentoProposta
{
    public function up()
    {
        $conexao = new \src\Conexao\Conexao();
        $conn = $conexao->getConexao();

        $query = "ALTER TABLE proposta ADD COLUMN status_pagamento ENUM('Pago', 'Pendente') DEFAULT 'Pendente'";

        $stmt = $conn->prepare($query);
        if (!$stmt) {
            echo "Erro ao preparar a consulta: " . $conn->error;
            return null;
        }

        $stmt->execute();
    }

    public function down() {}
}
